body{
    margin: 0;
    padding: 0;
    background-color: white;
    overflow-x: hidden;
}

.navbar{
    display: flex;
    align-items: flex-start;
    top: 0;
    align-items: center;
    position: sticky ;
    width: 100vw;
    height: 9vh;
    background-color: rgb(255, 255, 255);
    font-family: Helvetica;
    text-align: center;
    font-weight: 600;
    font-size: 1vw;
    color: white;
    z-index: 10;
    box-shadow: 0px 2px 15px rgb(214, 209, 209,0.5);

    #logo{
        img{
            position: relative;
            margin: 1vw;
            height: 50px;
            width: 50px;
            left: 0.5vw;
            cursor: pointer;
        }
    }

    #inicio{
        position: relative;
        padding: 0.7vw;
        margin: 0.5vw;
        background-color: black;
        border-radius: 35% 35% 35% 35% / 70% 70% 70% 70%;
        cursor: pointer;
    }

    #hoy{
        position: relative;
        color: black;
        
        cursor: pointer;
        padding: 0.7vw;
        &:hover{
            background-color: rgb(223, 223, 223);
            border-radius: 35%/50%;
        }
    }

    #siguiendo{
        position: relative;
        color: black;
        
        cursor: pointer;
        padding: 0.7vw;
        &:hover{
            background-color: rgb(223, 223, 223);
            border-radius: 25% 25% 25% 25% / 70% 70% 70% 70%;
        }
    }
    

    #buscar{
        color: rgb(139, 139, 139);
        display:flex;
        background-color: rgb(223, 223, 223);
        width:65vw;
        height: 5vh;
        margin: 1vw;
        border-radius: 2% 2% 2% 2% / 45% 45% 45% 45%;
        text-align: left;
        font-weight: 100;
        align-items: center;
        cursor:text;
        &:hover{
            background-color: rgb(210, 210, 210);
        }
        img{
            margin: 1vw;
            position: relative;
            height: 20px;
            cursor: pointer;
        }
    }

    #notificacion{
        display: flex;
        height: 50px;
        width: 50px;
        align-items: center;
        justify-content: center;
        img{
            position: relative;
            cursor: pointer;
        }
        &:hover{
            border-radius:100%;
            background-color: rgb(210, 210, 210);
        }
    }

    #mensajes{
        display: flex;
        align-items: center;
        justify-content: center;
        height: 50px;
        width: 50px;
        margin: 0.4vw;
        
        img{
            position: relative;
            cursor: pointer;
        }
        &:hover{
            border-radius:100%;
            background-color: rgb(210, 210, 210);
        }
    }
}

.app{
    width: 90vw;
    margin: 20px auto;
    columns: 6;
    column-gap: 20px;

    .display{
        display: flex;
        justify-content: center;
        align-items: flex-start;
        width:100%;
        margin: 0 0 20px;
        padding: 10px;
        overflow: hidden;
        break-inside: avoid;
        

        img{
            max-width: 100%;
            border-radius: 5% 5% 5% 5% / 5% 5% 5% 5%;
            cursor: zoom-in;
            
            &:hover{
                background: rgba(88, 83, 83);
                opacity: 0.7;
            }
        }
    }
}


//RESPONSIBVE
@media (max-width: 1200px){
    .app{
        columns:4;
        width: calc(100%-40px);
        box-sizing: border-box;
        padding:20px 20px 20px 0;
    }
    
    .navbar{
        height: 15vh;

        #buscar{
            
            img{
                margin: 2vw;
                position: relative;
                height: 15px;
            }
        }

        #logo{
            img{
                position: relative;
                height: 35px;
                width: 35px;
                left: 1vw;
            }
        }

        #notificacion{
            img{
                position: relative;
                height: 50%;
                width: 50%;
            }
        }
    
        #mensajes{
            margin: 1vw;
            img{
                position: relative;
                height: 50%;
                width: 50%;
            }
        }
    }
}

@media (max-width: 768px){

    .app{
        columns:3;
        width: calc(100%-40px);
        box-sizing: border-box;
        padding:20px 20px 20px 0;
        
    }

    .navbar{
        height: 9vh;
        font-weight: 600;
        font-size: 2.5vw;
    
        #logo{
            img{
                position: relative;
                height: 50px;
                width: 50px;
                left: 1vw;
            }
        }
    
        #inicio{
            position: relative;
            padding: 1.5vw;
            margin: 1.5vw;
            background-color: black;
            border-radius: 20% 20% 20% 20% / 35% 35% 35% 35%;
        }
    
        #hoy{
            display: none;
        }

        #siguiendo{
            display: none;
        }
    
        #buscar{
            width:65vw;
            height: 5vh;
            border-radius: 5% 5% 5% 5% / 75% 75% 75% 75%;
            margin: 1vw;
            img{
                margin: 2vw;
                height: 15px;
    
            }
        }
    
        #notificacion{
            img{

                height: 50%;
                width: 50%;
            }
        }
    
        #mensajes{
            margin: 1vw;
            img{
                height: 50%;
                width: 50%;
            }
        }
    }



}

@media (max-width: 480px){
    .app{
        columns:2;
        width: calc(100%-40px);
        box-sizing: border-box;
        padding:20px 20px 20px 0;
        
    }

    .navbar{
        height: 7vh;
        #logo{
            img{
                position: relative;
                height: 35px;
                width: 35px;
                left: 1vw;
            }
        }

        #buscar{
             border-radius: 10% 10% 10% 10% / 75% 75% 75% 75%;
             height: 4vh;
            

        }

            
        #notificacion{
            img{

                height: 50%;
                width: 50%;
            }
        }
    
        #mensajes{
            margin: 1vw;
            img{
                height: 50%;
                width: 50%;
            }
        }
    }

}